# file

File filter is used to manage your files. This might be useful if you need to upload a file to an FTP, share file url with another system, or accept files submitted by the users through the forms.

{% hint style="info" %}
Deprecated. Use [storage\_read](/liquid/tags/storage_read.md) and [storage\_write](/liquid/tags/storage_write.md) instead
{% endhint %}

Each installation comes with a storage. The amount of storage available depends from the plan you are on.

* Trial - 5mb
* Basic - 20mb
* Advanced - 50mb
* Pro - 100mb

{% hint style="info" %}
Files are stored only temporarily and after 48h are automatically deleted.
{% endhint %}

You can save your files based on following sources:

* content - string captured with `capture` tags
* multipart - file coming from a user form submission
* url - publicly accessible file hosted under specified url

Not all files can be uploaded to your storage. Currently storage is configured to accept following files:

```
jpg,
png,
gif,
txt,
log,
mp4,
csv,
tsv,
pdf
```

File extension needs to be specified in fileName parameter when uploading.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datajet-app.com/liquid/filters/file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
